Bug 233722 - SELinux denied access requested by /usr/bin/updatedb
SELinux denied access requested by /usr/bin/updatedb
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-03-23 20:42 EDT by John Poelstra
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-22 10:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Poelstra 2007-03-23 20:42:14 EDT
Description of problem:
SELinux denied access requested by /usr/bin/updatedb

Version-Release number of selected component (if applicable):
# rpm -qa | grep selinux

    SELinux is preventing /usr/bin/updatedb (locate_t) "getattr" to
    /media/Fedora Core (iso9660_t).

Detailed Description
    SELinux denied access requested by /usr/bin/updatedb. It is not expected
    that this access is required by /usr/bin/updatedb and this access may signal
    an intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /media/Fedora Core, restorecon
    -v /media/Fedora Core If this does not work, there is currently no automatic
    way to allow this access. Instead,  you can generate a local policy module
    to allow this access - see http://fedora.redhat.com/docs/selinux-faq-
    fc5/#id2961385 Or you can disable SELinux protection altogether. Disabling
    SELinux protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:locate_t
Target Context                system_u:object_r:iso9660_t
Target Objects                /media/Fedora Core [ dir ]
Affected RPM Packages         mlocate-0.16-1 [application]
Policy RPM                    selinux-policy-2.5.9-5.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.20-1.3016.fc7 #1
                              SMP Thu Mar 22 14:21:44 EDT 2007 i686 i686
Alert Count                   1
First Seen                    Fri 23 Mar 2007 02:01:29 PM PST
Last Seen                     Fri 23 Mar 2007 02:01:29 PM PST
Local ID                      b8695293-7370-4e3b-ae0e-9b4510624952
Line Numbers                  

Raw Audit Messages            

avc: denied { getattr } for comm="updatedb" dev=sr0 egid=0 euid=0
exe="/usr/bin/updatedb" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="/"
path=2F6D656469612F4665646F726120436F7265 pid=22642
scontext=system_u:system_r:locate_t:s0 sgid=0 subj=system_u:system_r:locate_t:s0
suid=0 tclass=dir tcontext=system_u:object_r:iso9660_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-03-26 13:11:13 EDT
Fixed in selinux-policy-2.5.11-1.fc7
Comment 2 Daniel Walsh 2007-08-22 10:15:52 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.